package com.jpsoft.smart.lapi.handler;

import cn.hutool.json.JSONObject;
import com.jpsoft.smart.lapi.dto.PersonVerification;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@Slf4j
@Component
@ChannelHandler.Sharable
public class PersonVerificationHandler extends SimpleChannelInboundHandler<PersonVerification> {
    @Override
    protected void channelRead0(ChannelHandlerContext channelHandlerContext, PersonVerification personVerification) throws Exception {
        log.warn(personVerification.toString());
        JSONObject jsonObject = personVerification.getJsonObject();

        log.warn("DeviceCode"+jsonObject.getStr("DeviceCode"));
        log.warn(jsonObject.toString());
      //  JSONObject faceJson = jsonObject.get("FaceInfoList");
        log.warn("FaceInfoList" +jsonObject.getStr("FaceInfoList"));
        JSONObject faceJson = new JSONObject(jsonObject.getStr("FaceInfoList").substring(1,jsonObject.getStr("FaceInfoList").length()-1));
        log.warn("faceJson"+faceJson);
        long timestamp = jsonObject.getLong("Timestamp");

        Date date = new Date(timestamp);

        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.warn("考勤时间：" + sdf.format(date));
    }
}
